List Notifications

Lists notifications previously dispatched to the issuer, most recent first.

Results are filterable by event name, delivery status, and a created_at time range.
Required scopes: notifications:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard

Query parameters

page[after]stringOptional
Represents a cursor value, and if provided, returns the next page of results
page[before]stringOptional
Represents a cursor value, and if provided, returns the previous page of results
page[size]integerOptional

Maximum number of records to be returned [1 - 200], (default = 200)

filter[eventName]enumOptional
Return only notifications for this event name.
filter[status]enumOptional
Return only notifications with this delivery status.
Allowed values:
filter[after]datetimeOptional

Return only notifications created strictly after this timestamp (ISO 8601).

filter[before]datetimeOptional

Return only notifications created strictly before this timestamp (ISO 8601).

Response

This endpoint returns an object.
datalist of objects
metaobject
Metadata about the pagination status.

Errors

400
Invalid Request
401
Unauthorized Error
500
Internal Server Error